module Ccd::ComplicationsSectionTemplate
  def self.included(base)
    base.class_eval do
      extend ::Ccd::Dsl
      
      # SHALL contain exactly one [1..1] templateId (CONF:8174) such that it
      constraint 'template_id', {:cardinality=>"1..1"}
      
      # SHALL contain exactly one [1..1] @root="2.16.840.1.113883.10.20.22.2.37" (CONF:10384).
      constraint 'template_id.root', {:cardinality=>"1..1", :value=>"2.16.840.1.113883.10.20.22.2.37"}
      
      # SHALL contain exactly one [1..1] code (CONF:15453).
      constraint 'code', {:cardinality=>"1..1", :value=>{:code=>"55109-3", :display_name=>"Complications", :code_system=>"2.16.840.1.113883.6.1"}}
      
      # SHALL contain exactly one [1..1] title (CONF:8176).
      constraint 'title', {:cardinality=>"1..1"}
      
      # SHALL contain exactly one [1..1] text (CONF:8177).
      constraint 'text', {:cardinality=>"1..1"}
    end
  end
end
